<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$code = str_majuscules(@$_POST["code"]);
$desc = str_majuscules(@$_POST["desc"]);
$taux = floatval(@$_POST["taux"]);
$actif = intval(@$_POST["actif"]);

$retourliste = TRUE;
$msg = '';

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
switch ($td) {
    // Ajout de la fiche TVA
    case "add" :
        $rech = "SELECT COUNT(*) FROM `" . TBTVA . "` WHERE `tva_code` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech = "INSERT INTO `" . TBTVA . "` (tva_code,tva_desc,tva_tx,tva_actif) VALUES ('" . $db->escape($code) . "','" . $db->escape($desc) . "','$taux','$actif')";
            $db->query($rech);
            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche TVA
    case "edit" :
        $rech = "UPDATE `" . TBTVA . "` SET `tva_desc`='" . $db->escape($desc) . "', `tva_tx`='" . $taux . "',`tva_actif`='" . $actif . "' WHERE `tva_code` = '" . $db->escape($code) . "'";
        $db->query($rech);
        $msg = _("Fiche modifiée");
        break;

    // Suppression de la fiche TVA
    case "del" :
        $delok = TRUE;

        // Vérifie si utilisé dans une fiche produit
        $rexist = "SELECT COUNT(*) FROM `" . TBPDT . "` WHERE `pdt_codetva` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            $msg = _("Cette TVA est utilisée dans une fiche produit");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans une fiche produit sur intervention
        $rexist = "SELECT COUNT(*) FROM `" . TBPDTI . "` WHERE `pdti_codetva` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans une fiche produit sur une intervention");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans une fiche contrat
        $rexist = "SELECT COUNT(*) FROM `" . TBCOCL . "` WHERE `cocl_codetva` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans un contrat");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans une taxe parafiscale
        $rexist = "SELECT COUNT(*) FROM `" . TBTPF . "` WHERE `tpf_codetva` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans une taxe parafiscale");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans une taxe sur intervention
        $rexist = "SELECT COUNT(*) FROM `" . TBTPFI . "` WHERE `tpfi_codetva` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans une taxe sur intervention");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans un produit à louer
        $rexist = "SELECT COUNT(*) FROM `" . TBPDTLOC . "` WHERE `pdtloc_tvacaut` = '" . $db->escape($code) . "' OR `pdtloc_tvacons1` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans un produit à louer");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans un barème de location
        $rexist = "SELECT COUNT(*) FROM `" . TBBARLOC . "` WHERE `barloc_codetva` = '$code' OR `barloc_tvacons1` = '" . $db->escape($code) . "' OR `barloc_tvacons2` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans un barême de location");
            $delok = FALSE;
        }

        // Vérifie si utilisé dans un produit lou�
        $rexist = "SELECT COUNT(*) FROM `" . TBPDTLBL . "` WHERE `pdtlbl_codetva` = '" . $db->escape($code) . "' OR `pdtlbl_tvacaut` = '" . $db->escape($code) . "' OR `pdtlbl_codetvaass` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            if ($msg <> "") $msg .= "<br />";
            $msg .= _("Cette TVA est utilisée dans un produit loué");
            $delok = FALSE;
        }

        if ($delok == TRUE) {
            // Non -> suppression de la fiche TVA
            $rech = "DELETE FROM `" . TBTVA . "` WHERE `tva_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _("Fiche supprimée");
        } else
            $retourliste = FALSE;
        break;
}
$db->disconnect();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche TVA"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once("../inc/entete.inc.php"); ?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    aff_ret_idx_man($td, "tva_lst.php", _("Retour à la liste"), TRUE);
} else
    pop_ret_auto($msg, 'ok', "tva_lst.php");
include_once("pied.php");
?>
</body>
</html>